# Changed by Makefile of cvs.
%define version 0.52
%define name DrakConf

Summary: The Mandrake Configurator
Name: %{name}
Version: %{version}
Release: 17mdk
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0: %{name}-%{version}.tar.bz2
Source1: DrakConf.menu.bz2
Source2: drakconf16.xpm.bz2
Source3: drakconf32.xpm.bz2
Source4: drakconf48.xpm.bz2
Copyright: GPL
Group: System/Configuration/Other
Requires: drakxtools, perl, kdesu
BuildRoot: /tmp/%{name}-buildroot
Prefix: %{_prefix}

%description
DrakConf is an interface to multiple utilities from DrakXtools. It
allows you to launch :

- KeyboardDrake: configures your keyboard.
- MouseDrake: configures and autodetects your mouse
- PrinterDrake: detects and configures your printer
- Diskdrake: partitions your hard disk.
- XfDrake: configure your graphic card easily and change the resolution on the
  fly.

and many other tools.

%prep
%setup -q

%build
# to be sure to regenerate the rc
rm -f *rc
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install RPM_BUIILD_ROOT=$RPM_BUILD_ROOT

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/DrakConf
#install menu icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/drakconf.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/drakconf.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/usr/share/icons/large/drakconf.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README.CVS TRANSLATORS
%config /etc/DrakConf/*
/usr/X11R6/bin/*
/usr/share/icons/*
/usr/lib/menu/DrakConf

%changelog
* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-17mdk
- added require to kdesu

* Wed May  3 2000 DindinX <odin@mandrakesoft.com> 0.52-16mdk
- Added Mandrake Update

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-15mdk
- Added a 32x32 and a 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-14mdk
- remove icon menu path

* Thu Apr 20 2000 DindinX <odin@mandrakesoft.com> 0.52-13mdk
- Put a better looking logo
- Remove kpackage

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-12mdk
- remove this f****ng bl***y bast*** logo

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-11mdk
- really remove logo

* Wed Apr 19 2000 warly <warly@mandrakesoft.com> 0.52-10mdk
- remove some logos

* Wed Apr 19 2000 DindinX <odin@mandrakesoft.com> 0.52-9mdk
- remove drakbootdisk (merge with drakboot)

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 0.52-8mdk
- Added an entry drakboot

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 0.52-7mdk
- Added an entry for drakbootdisk
- only read .rc files

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.52-6mdk
- Added nice icons from Hlne

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 0.52-5mdk
- Better handling of different resolutions

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-4mdk
- Fix the grammar in the Desc.
- Added rpmdrake and drakfont.
- rename lothar to harddrake.

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-3mdk
- Add a %config tag to make rpmlint happy

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-2mdk
- Menu group back to /Configuration/Other :(

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-1mdk
- New version w/ support for 640x480 screens
- Spec update
- Change Group
- Add menu

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- Requires true perl when using Getopt::Long.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- DrakConf.pm (usage): parse arguments with Getopt::Long;
- DrakConf.pm: Now use a directory and one config file for entry.

* Tue Feb 29 2000 DindinX <odin@mandrakesoft.com> 0.50-1mdk
- Use a more usefull version number...

* Mon Feb 28 2000 DindinX <odin@mandrakesoft.com> 0.34-2mdk
- Added a "close" button

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.37-1mdk
- po/lothar.rc: Exclusivearchs: i386
- DrakConf.pm (get_arch): add ability to do Exclusivearchs for 
  certain program.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- remove provide control-panel.

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- DrakConf.c (main): add setlocale call for i18n

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.34-10mdk
- respawn with kdesu if launching as user.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove Obsoletes and Provides control-panel.

* Mon Jan 03 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*lothar*: add blank line in the end of file.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- create the temporary file in ~tmp/ for obvious
  security reasons, also fix an improbable but possible
  race conditions.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*: adjust & change.
- diskdrake.pm: can do eval of perl code in config files.
- DrakConf.pm: Try better to find the language.
- pics/*diskdrake: new icon.
- DrakConf.c: create a temporary file when 'exec'ing a tool (dinx)
- DrakConf.c: fix a very stupid bug in the tests for existing tools (dinx).

* Fri Dec 24 1999 Pixel <pixel@mandrakesoft.com>
- add obsoletes control-panel

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- DrakConf.c: remove the obsolete translation of '' into ' '
- DrakConf.rc: Add a lot of i18n translations from pablo
- DrakConf.rc: s|/sbin/netconf|/bin/netconf|;
- DrakConf.rc: remove the .
- DrakConf.pm: fix bad call.
- pics/*mouse*.xpm: new icon from helene.
- pics/*keyboard*.xpm: new icon from helene.
- pics/*drake*.xpm: new icon from helene.
- pics/*lothar*.xpm: new icon from helene.
- DrakConf.pm: Parse better arguments.

* Sun Dec 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- French and Spanish Description (camille).
- strip binaries.

* Sat Dec 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Makefile: dist rpm.
- DrakConf.pm: Rewrite the parser.
- DrakConf.(c|pm): add a test mode.
- pics/*: clean name and add icones (helene).
- DrakConf.rc: cleaning.

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- Makefile (dis): changed to ignore pics/unused
- DrakConf.rc: many change
- pics/*: additions and modifications

* Thu Dec 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add many changes (see the ChangeLog).

* Fri Dec 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First spec file.

# end of file
